exchange 2010 sp1

  1. J

    Mweb not supporting Outlook 2016

    Am I the only one with Outlook 2016 and hosted email at Mweb Business who cannot use the latest mail client because the Mweb Exchange server runs Exchange 2010 SP1? For Outlook 2016 to work the Exchange server needs to be 2010 SP2 or later. Mweb is more than happy to take my money every month...
Top